Pipelines

Update a Pipeline

This endpoint has been deprecated and may be replaced or removed in future versions of the API.

Updates an existing pipeline. Follow conventional PATCH behavior, so only included fields will be updated.

PATCH
/v1-beta/pipelines/{pipelineID}
x-api-key<token>

Authenticate using API Key in request header

In: header

Path Parameters

pipelineID*string

ID of the pipeline to update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.bem.ai/v1-beta/pipelines/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "pipelineID": "string",
  "name": "string",
  "outputSchema": {},
  "outputSchemaName": "string",
  "emailAddress": "string",
  "webhookEnabled": true,
  "webhookURL": "string",
  "tabularChunkingEnabled": true,
  "independentDocumentProcessingEnabled": true
}